Bug 804429 - [abrt] libreoffice-core-3.4.5.2-8.fc16: file_image_pagein: Process /usr/lib64/libreoffice/program/oosplash.bin was killed by signal 7 (SIGBUS)
[abrt] libreoffice-core-3.4.5.2-8.fc16: file_image_pagein: Process /usr/lib64...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephan Bergmann
Fedora Extras Quality Assurance
abrt_hash:71a650915437e9c26f89f99960a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-18 14:50 EDT by W. Andrew Denton
Modified: 2012-06-08 10:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 10:45:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: maps (6.77 KB, text/plain)
2012-03-18 14:50 EDT, W. Andrew Denton
no flags Details
File: backtrace (8.30 KB, text/plain)
2012-03-18 14:50 EDT, W. Andrew Denton
no flags Details

  None (edit)
Description W. Andrew Denton 2012-03-18 14:50:45 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/oosplash.bin --writer
comment:        starting oowriter.
crash_function: file_image_pagein
executable:     /usr/lib64/libreoffice/program/oosplash.bin
kernel:         3.2.10-3.fc16.x86_64
pid:            4111
pwd:            /
reason:         Process /usr/lib64/libreoffice/program/oosplash.bin was killed by signal 7 (SIGBUS)
time:           Sun 18 Mar 2012 11:13:27 AM PDT
uid:            1000
username:       andrew

backtrace:      Text file, 8504 bytes
maps:           Text file, 6936 bytes

dso_list:
:/lib64/libdl-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330199387
:/lib64/libm-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330199387
:/lib64/libpthread-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330199387
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-3.fc16.x86_64 (Fedora Project) 1319991192
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330199387
:/usr/lib/locale/locale-archive glibc-common-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330199417
:/usr/lib64/libreoffice/ure/lib/libuno_sal.so.3 libreoffice-ure-1:3.4.5.2-8.fc16.x86_64 (Fedora Project) 1331431424
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-2.fc16.x86_64 (Fedora Project) 1329932067
:/usr/lib64/libreoffice/basis3.4/program/libsvtlx.so libreoffice-core-1:3.4.5.2-8.fc16.x86_64 (Fedora Project) 1331431460
:/lib64/libc-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330199387
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.2-1.fc16.x86_64 (Fedora Project) 1319991179
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1319991416
:/lib64/libgcc_s-4.6.2-20111027.so.1 libgcc-4.6.2-1.fc16.x86_64 (Fedora Project) 1319991147
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1319991420
:/usr/lib64/libreoffice/program/oosplash.bin libreoffice-core-1:3.4.5.2-8.fc16.x86_64 (Fedora Project) 1331431460
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1319991192
:/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc16.x86_64 (Fedora Project) 1327087458
:/lib64/ld-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330199387
:/usr/lib64/libXext.so.6.4.0 libXext-1.3.0-1.fc16.x86_64 (Fedora Project) 1323877611

environ:
:XDG_VTNR=1
:rvm_dump_environment_flag=0
:XDG_SESSION_ID=2
:'HOSTNAME=\xe1\xbc\x91\xce\xba\xce\xb1\xcf\x84\xcf\x8c\xce\xb3\xcf\x87\xce\xb5\xce\xb9\xcf\x81\xce\xb5\xcf\x82'
:rvm_bin_path=/home/andrew/.rvm/bin
:rvm_clang_flag=0
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-Sy559L/gpg:0:1
:GEM_HOME=/home/andrew/.rvm/gems/ruby-1.9.3-p0
:SHELL=/bin/bash
:TERM=xterm
:HISTSIZE=1000
:XDG_SESSION_COOKIE=1f7d1cd7bcd31783ca4a837d00000014-1332094248.659614-138155489
:IRBRC=/home/andrew/.rvm/rubies/ruby-1.9.3-p0/.irbrc
:WINDOWID=18874374
:OLDPWD=/usr/lib64/libreoffice/program
:GNOME_KEYRING_CONTROL=/tmp/keyring-Sy559L
:MY_RUBY_HOME=/home/andrew/.rvm/rubies/ruby-1.9.3-p0
:rvm_verbose_flag=0
:IMSETTINGS_MODULE=none
:USER=andrew
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:__array_start=0
:rvm_path=/home/andrew/.rvm
:SSH_AUTH_SOCK=/tmp/keyring-Sy559L/ssh
:rvm_debug_flag=0
:USERNAME=andrew
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1904,unix/unix:/tmp/.ICE-unix/1904
:escape_flag=1
:rvm_prefix=/home/andrew
:rvm_trace_flag=0
:PATH=/home/andrew/.rvm/gems/ruby-1.9.3-p0/bin:/home/andrew/.rvm/gems/ruby-1.9.3-p0@global/bin:/home/andrew/.rvm/rubies/ruby-1.9.3-p0/bin:/home/andrew/.rvm/bin:/usr/local/bin:/usr/bin:/bin:/home/andrew/.rvm/gems/ruby-1.9.3-p0/bin/:/usr/local/sbin:/usr/sbin:/sbin:/home/andrew/.rvm/gems/ruby-1.9.3-p0/bin/:/home/andrew/.local/bin:/home/andrew/bin:/home/andrew/.rvm/gems/ruby-1.9.3-p0/bin/:/home/andrew/.local/bin:/home/andrew/bin
:MAIL=/var/spool/mail/andrew
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/
:XMODIFIERS=@im=none
:LANG=en_US.utf8
:GNOME_KEYRING_PID=1896
:GDM_LANG=en_US.utf8
:_second=1
:GDMSESSION=gnome
:rvm_env_string=ruby-1.9.3-p0
:HISTCONTROL=ignoredups
:rvm_version=1.10.0-pre
:XDG_SEAT=seat0
:HOME=/home/andrew
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:rvm_ruby_string=ruby-1.9.3-p0
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=andrew
:_first=0
:GEM_PATH=/home/andrew/.rvm/gems/ruby-1.9.3-p0:/home/andrew/.rvm/gems/ruby-1.9.3-p0@global
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-oLEMmN817G,guid=cf3fab98537e1deb2a19665600000034
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:rvm_reload_flag=0
:WINDOWPATH=1
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/andrew
:RUBY_VERSION=ruby-1.9.3-p0
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-andrew-oc7cSW/database
Comment 1 W. Andrew Denton 2012-03-18 14:50:49 EDT
Created attachment 570928 [details]
File: maps
Comment 2 W. Andrew Denton 2012-03-18 14:50:50 EDT
Created attachment 570929 [details]
File: backtrace
Comment 3 Stephan Bergmann 2012-03-19 04:46:37 EDT
@ W. Andrew Denton:  Is this reproducible, or did it only happen once, when your system was suffering from low memory?

The SIGBUS suspiciously looks like mmap succeeding in opening the file despite there not being sufficient free main memory and swap space, so access to the mmap'ed memory leads to SIGBUS.  If that's the case here, there's little we could do about it -- even if we could detect/ignore this out-of-memory in the pagein process (that runs before soffice.bin proper, and shall pre-load the relevant dynamic libraries of soffice.bin to speed up its start-up), soffice.bin itself would then most likely fail in bizarre ways due to low memory, too.  (This is somewhat similar to bug 767708, where anonymous mmap failed in low-memory conditions, and could be solved with posix_fallocate.  That fix does not apply here, however, as here mmap loads a file instead of anonymous memory.)

Note You need to log in before you can comment on or make changes to this bug.